# Uses of Enum Class
org.kapott.hbci.manager.HBCIVersion

Packages that use HBCIVersion
Package
Description
org.kapott.hbci.manager
Package, welches diverse Klassen für den Zugriff auf die Funktionen von HBCI4Java enthält.

## Uses of HBCIVersion in org.kapott.hbci.manager

Methods in org.kapott.hbci.manager that return HBCIVersion
Modifier and Type
Method
Description
`static HBCIVersion`
HBCIVersion.`byId(String id)`
Sucht die HBCI-Version anhand der angegebenen ID.
`HBCIVersion`
BankInfo.`getPinTanVersion()`
Liefert die HBCI-Version fuer das Verfahren PIN/TAN.
`HBCIVersion`
BankInfo.`getRdhVersion()`
Speichert die HBCI-Version fuer das Verfahren Schluesseldatei.
`static HBCIVersion`
HBCIVersion.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static HBCIVersion[]`
HBCIVersion.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.kapott.hbci.manager with parameters of type HBCIVersion
Modifier and Type
Method
Description
`void`
BankInfo.`setPinTanVersion(HBCIVersion pinTanVersion)`
Speichert die HBCI-Version fuer das Verfahren PIN/TAN.
`void`
BankInfo.`setRdhVersion(HBCIVersion rdhVersion)`
Liefert die HBCI-Version fuer das Verfahren Schluesseldatei.